

#ifndef UTILES
#define UTILES 1
#if ARDUINO >= 100
#include "Arduino.h"
#else
#include "WProgram.h"
#endif


/*
   Comprueba si es momento de actualizar las medidas, porque las actualiza cada cierto tiempo
   Dado el último tiempo guardado, tt, y el tiempo que tiene que haber pasado, incre,
   devuelve true si el tiempo actual ha sobrepasado a tt en incre o mas
   y false, si no
*/
 extern bool UtilesDebug;
class Utiles
{
  public:
    static bool Debug;
    static  bool isTime( unsigned long *tt, unsigned long timer);
    /*
       Para imprimir por el puerto COM si esta en modo DEBUG
    */
    static void printCOM(char *line);
    static void printCOM2(char *line);

};

class StringSplit
{
    char *str;
    char* separador;
    int n;
  public:
    StringSplit(char *src, char *sep );

    char* get();
};

#endif
